/********************************************************************************
 * Copyright (c) 2019 EclipseSource and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
import "sprotty-theia/css/theia-sprotty.css";
import { TheiaMarkerManager } from "@eclipse-glsp/theia-integration/lib/browser/diagram/glsp-theia-marker-manager";
import { TheiaModelSourceChangedHandler } from "@eclipse-glsp/theia-integration/lib/browser/theia-model-source-changed-handler";
import { TheiaNavigateToTargetHandler } from "@eclipse-glsp/theia-integration/lib/browser/theia-navigate-to-target-handler";
import { SelectionService } from "@theia/core";
import { Container } from "inversify";
import { DiagramConfiguration } from "sprotty-theia";
import { TheiaContextMenuService } from "sprotty-theia/lib/sprotty/theia-sprotty-context-menu-service";
export declare class WorkflowDiagramConfiguration implements DiagramConfiguration {
    protected selectionService: SelectionService;
    protected navigateToTargetHandler: TheiaNavigateToTargetHandler;
    protected modelSourceChangedHandler: TheiaModelSourceChangedHandler;
    protected readonly contextMenuServiceFactory: () => TheiaContextMenuService;
    protected readonly theiaMarkerManager: () => TheiaMarkerManager;
    diagramType: string;
    createContainer(widgetId: string): Container;
}
//# sourceMappingURL=workflow-diagram-configuration.d.ts.map