"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkflowDiagramConfiguration = void 0;
/********************************************************************************
 * Copyright (c) 2019 EclipseSource and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
require("sprotty-theia/css/theia-sprotty.css");
var lib_1 = require("@eclipse-glsp-examples/workflow-glsp/lib");
var client_1 = require("@eclipse-glsp/client");
var lib_2 = require("@eclipse-glsp/client/lib");
var browser_1 = require("@eclipse-glsp/theia-integration/lib/browser");
var glsp_theia_context_menu_service_1 = require("@eclipse-glsp/theia-integration/lib/browser/diagram/glsp-theia-context-menu-service");
var glsp_theia_marker_manager_1 = require("@eclipse-glsp/theia-integration/lib/browser/diagram/glsp-theia-marker-manager");
var theia_model_source_changed_handler_1 = require("@eclipse-glsp/theia-integration/lib/browser/theia-model-source-changed-handler");
var theia_navigate_to_target_handler_1 = require("@eclipse-glsp/theia-integration/lib/browser/theia-navigate-to-target-handler");
var core_1 = require("@theia/core");
var inversify_1 = require("inversify");
var sprotty_theia_1 = require("sprotty-theia");
var workflow_language_1 = require("../../common/workflow-language");
var workflow_diagram_server_1 = require("./workflow-diagram-server");
var WorkflowDiagramConfiguration = /** @class */ (function () {
    function WorkflowDiagramConfiguration() {
        this.diagramType = workflow_language_1.WorkflowLanguage.DiagramType;
    }
    WorkflowDiagramConfiguration.prototype.createContainer = function (widgetId) {
        var container = lib_1.createWorkflowDiagramContainer(widgetId);
        container.bind(client_1.TYPES.ModelSource).to(workflow_diagram_server_1.WorkflowDiagramServer).inSingletonScope();
        container.bind(sprotty_theia_1.TheiaDiagramServer).toService(workflow_diagram_server_1.WorkflowDiagramServer);
        container.bind(client_1.TYPES.IActionHandlerInitializer).to(sprotty_theia_1.TheiaSprottySelectionForwarder);
        container.bind(core_1.SelectionService).toConstantValue(this.selectionService);
        container.bind(lib_2.ExternalNavigateToTargetHandler).toConstantValue(this.navigateToTargetHandler);
        container.bind(client_1.ExternalModelSourceChangedHandler).toConstantValue(this.modelSourceChangedHandler);
        container.rebind(client_1.CommandPalette).to(browser_1.TheiaCommandPalette);
        glsp_theia_context_menu_service_1.connectTheiaContextMenuService(container, this.contextMenuServiceFactory);
        glsp_theia_marker_manager_1.connectTheiaMarkerManager(container, this.theiaMarkerManager, this.diagramType);
        return container;
    };
    __decorate([
        inversify_1.inject(core_1.SelectionService),
        __metadata("design:type", core_1.SelectionService)
    ], WorkflowDiagramConfiguration.prototype, "selectionService", void 0);
    __decorate([
        inversify_1.inject(theia_navigate_to_target_handler_1.TheiaNavigateToTargetHandler),
        __metadata("design:type", theia_navigate_to_target_handler_1.TheiaNavigateToTargetHandler)
    ], WorkflowDiagramConfiguration.prototype, "navigateToTargetHandler", void 0);
    __decorate([
        inversify_1.inject(theia_model_source_changed_handler_1.TheiaModelSourceChangedHandler),
        __metadata("design:type", theia_model_source_changed_handler_1.TheiaModelSourceChangedHandler)
    ], WorkflowDiagramConfiguration.prototype, "modelSourceChangedHandler", void 0);
    __decorate([
        inversify_1.inject(glsp_theia_context_menu_service_1.TheiaContextMenuServiceFactory),
        __metadata("design:type", Function)
    ], WorkflowDiagramConfiguration.prototype, "contextMenuServiceFactory", void 0);
    __decorate([
        inversify_1.inject(glsp_theia_marker_manager_1.TheiaMarkerManagerFactory),
        __metadata("design:type", Function)
    ], WorkflowDiagramConfiguration.prototype, "theiaMarkerManager", void 0);
    WorkflowDiagramConfiguration = __decorate([
        inversify_1.injectable()
    ], WorkflowDiagramConfiguration);
    return WorkflowDiagramConfiguration;
}());
exports.WorkflowDiagramConfiguration = WorkflowDiagramConfiguration;
//# sourceMappingURL=workflow-diagram-configuration.js.map