"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkflowGLServerContribution = void 0;
/********************************************************************************
 * Copyright (c) 2019-2020 EclipseSource and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
var protocol_1 = require("@eclipse-glsp/protocol");
var node_1 = require("@eclipse-glsp/theia-integration/lib/node");
var inversify_1 = require("inversify");
var net = require("net");
var server_1 = require("vscode-ws-jsonrpc/lib/server");
var workflow_language_1 = require("../common/workflow-language");
var WorkflowGLServerContribution = /** @class */ (function (_super) {
    __extends(WorkflowGLServerContribution, _super);
    function WorkflowGLServerContribution() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.id = workflow_language_1.WorkflowLanguage.Id;
        _this.name = workflow_language_1.WorkflowLanguage.Name;
        _this.description = {
            id: 'workflow',
            name: 'Workflow',
            documentSelector: ['workflow'],
            fileEvents: [
                '**/*.workflow'
            ]
        };
        return _this;
    }
    WorkflowGLServerContribution_1 = WorkflowGLServerContribution;
    WorkflowGLServerContribution.prototype.start = function (clientConnection) {
        var socketPort = protocol_1.getPort(WorkflowGLServerContribution_1.PORT_ARG_KEY);
        if (isNaN(socketPort)) {
            console.info("No valid port argument was passed (--" + WorkflowGLServerContribution_1.PORT_ARG_KEY + "=xxxx). Default port " + WorkflowGLServerContribution_1.DEFAULT_PORT + " is used.");
            socketPort = WorkflowGLServerContribution_1.DEFAULT_PORT;
        }
        var socket = new net.Socket();
        var serverConnection = server_1.createSocketConnection(socket, socket, function () {
            socket.destroy();
        });
        this.forward(clientConnection, serverConnection);
        socket.connect(socketPort);
    };
    var WorkflowGLServerContribution_1;
    WorkflowGLServerContribution.DEFAULT_PORT = 5007;
    WorkflowGLServerContribution.PORT_ARG_KEY = "WF_GLSP";
    WorkflowGLServerContribution = WorkflowGLServerContribution_1 = __decorate([
        inversify_1.injectable()
    ], WorkflowGLServerContribution);
    return WorkflowGLServerContribution;
}(node_1.BaseGLSPServerContribution));
exports.WorkflowGLServerContribution = WorkflowGLServerContribution;
//# sourceMappingURL=workflow-glsp-server-contribution.js.map